Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::addon::compliance::HitData Class Reference

Inherits Object.

## Public Types
enum | CheckSeverity { e_CheckSeverityInfo = 1, e_CheckSeverityWarning = 2, e_CheckSeverityError = 3 }
| Enumeration for check severity of a hit data. More...

## Public Member Functions
| HitData ()
| Constructor.
| HitData (const HitData &other)
| Constructor, with another hit data object. More...
bool | operator!= (const HitData &other) const
| Not equal operator. More...
HitData & | operator= (const HitData &other)
| Assign operator. More...
bool | operator== (const HitData &other) const
| Equal operator. More...

## Public Attributes
WString | comment
| Hit rule comment to explain more details about the rule.
WString | name
| Hit rule name.
int | page_index
| Page index, starting from 0. -1 means current hit data was hit in document level.
CheckSeverity | severity
| The check severity of current hit data. Please refer to values starting from HitData::e_CheckSeverityInfo and this should be one of these values.
WStringArray | trigger_values
| Array of trigger values. The count of triggered values is no more then triggered_count.
uint32 | triggered_count
| Represents the count of hit operation for current data has been triggered during document verification or conversion process.

## Detailed Description

This class represents a hit data. Hit data represents the data for a hit operation triggered during document verification or conversion process.

## Member Enumeration Documentation

## ◆ CheckSeverity

enum foxit::addon::compliance::HitData::CheckSeverity

Enumeration for check severity of a hit data.

Values of this enumeration should be used alone.

Enumerator
e_CheckSeverityInfo | Info severity.
e_CheckSeverityWarning | Warning severity.
e_CheckSeverityError | Error severity.

## Constructor & Destructor Documentation

## ◆ HitData()

foxit::addon::compliance::HitData::HitData | ( | const HitData & | other | ) |
| inline

Constructor, with another hit data object.

Parameters

  [in] | other | Another hit data object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::addon::compliance::HitData::operator!= | ( | const HitData & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another hit data object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

HitData& foxit::addon::compliance::HitData::operator= | ( | const HitData & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another hit data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::compliance::HitData::operator== | ( | const HitData & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another hit data object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.